Summary: Convert Audio CD's to file formats
Name: cdparanoia-III
Version: alpha8
Release: 1
Copyright: GPL
Group: Applications/Sound
Source: http://www.mit.edu/afs/sipb/user/xiphmont/cdparanoia/cdparanoia-III-alpha8.src.tgz
Url: http://www.mit.edu/afs/sipb.mit.edu/user/xiphmont/cdparanoia/index.html
Patch0: cdparanoia-III-alpha8.patch
BuildRoot: /var/tmp/cdparanoia-root

%description
This CDDA reader distribution ('cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%prep
%setup -q
%patch0 -p1 -b .orig


%build
./configure --prefix=$RPM_BUILD_ROOT/usr/
make all CC=egcs LD=egcs  
make lib CC=egcs LD=egcs  

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/man/man1/
make install 

install -m 644 $RPM_BUILD_DIR/cdparanoia-III-alpha8/interface/cdda_interface.a $RPM_BUILD_ROOT/usr/lib
install -m 644 $RPM_BUILD_DIR/cdparanoia-III-alpha8/paranoia/cdda_paranoia.a $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ.txt GPL README 
/usr/bin/cdparanoia
/usr/man/man1/cdparanoia.1
/usr/lib/cdda_interface.a 
/usr/lib/cdda_paranoia.a 

%changelog
* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- built package
